Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.sg
Class SGOutput

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.sg.SGOutput

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class SGOutput
extends QTObject
implements quicktime.jdirect.QuickTimeLib, quicktime.jdirect.PrimitivesLib

Assists in capturing to Multiple files. The SGOutput implements methods for a capturing to multiple files. Introduced in QuickTime 3.0, capturing to multople files can improve the Performance and flexibility of cpatures and enable larger total captures. refer to SGOutput in QuickTime Components

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`void` | `disposeQTObject()` Disposes of an output associated with a sequence grabber.
`DataRef` | `getDataReference()` QuickTime::SGGetOutputDataReference(
`long` | `getDataStorageSpaceRemaining()` QuickTime::SGGetDataOutputStorageSpaceRemaining
`long` | `getMaximumOffset()` QuickTime::SGGetOutputMaximumOffset
`SGOutput` | `getNextOutput()` QuickTime::SGGetOutputNextOutput(
`void` | `setChannel(SGChannel c)` QuickTime::SGSetChannelOutput
`void` | `setMaximumOffset(long maxOffset)` QuickTime::SGSetOutputMaximumOffset
`void` | `setNextOutput(SGOutput nextOutput)` QuickTime::SGSetOutputNextOutput(
`void` | `setOutputFlags(int whereFlags)` QuickTime::SGSetOutputFlags

Methods inherited from class quicktime.QTObject
`equals, ID, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### disposeQTObject

    public void disposeQTObject()
                         throws QTException

  Disposes of an output associated with a sequence grabber.
  QuickTime::SGDisposeOutput
Overrides:
  `disposeQTObject` in class `QTObject`

  Parameters:
    `c` - the output you want to dispose

### setMaximumOffset

    public void setMaximumOffset(long maxOffset)
                          throws StdQTException

QuickTime::SGSetOutputMaximumOffset

  Parameters:
    `maxOffset` - the maximum offset for data written to this output.

### getMaximumOffset

    public long getMaximumOffset()
                          throws StdQTException

QuickTime::SGGetOutputMaximumOffset

  Parameters:
    `returns` - the maximum offset for data written to this output.

### setOutputFlags

    public void setOutputFlags(int whereFlags)
                        throws StdQTException

QuickTime::SGSetOutputFlags

  Parameters:
    `whereFlags` - determines where the output is sent, eg seqGrabToDisk

### setChannel

    public void setChannel(SGChannel c)
                    throws StdQTException

QuickTime::SGSetChannelOutput

  Parameters:
    `c` - the channel you want to assign the output to

### getDataStorageSpaceRemaining

    public long getDataStorageSpaceRemaining()
                                      throws StdQTException

QuickTime::SGGetDataOutputStorageSpaceRemaining

  Parameters:
    `returns` - the amount of space in the data reference associated with an output

### getNextOutput

    public SGOutput getNextOutput()
                           throws StdQTException

QuickTime::SGGetOutputNextOutput(

  Parameters:
    `returns` - the next sequence grabber output

### setNextOutput

    public void setNextOutput(SGOutput nextOutput)
                       throws StdQTException

QuickTime::SGSetOutputNextOutput(

  Parameters:
    `nextOutput` - specifies the next output to be used after the output represented by this object.

### getDataReference

    public DataRef getDataReference()
                             throws StdQTException

QuickTime::SGGetOutputDataReference(

  Parameters:
    `returns` - the data reference associated with this sequence grabber output.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD